<?php

use App\Http\Controllers\PaymentController;
use Illuminate\Support\Facades\Route;

Route::post('webhooks/{gateway}', [PaymentController::class, 'webhook'])->name('webhooks');

Route::get('return/{gateway}', [PaymentController::class, 'returnFunction'])->name('return');
Route::post('return/{gateway}', [PaymentController::class, 'returnFunction'])->name('return.post');

Route::get('square/currency', [PaymentController::class, 'squareCurrency'])->name('square.currency');

Route::get('amazon/review', [PaymentController::class, 'amazonReview'])->name('amazon.review');
Route::get('checkout/{gateway}', [PaymentController::class, 'checkout'])->name('checkout');
